import edu.isi.www.fedd_types.*;
import edu.isi.www.fedd_wsdl.*;
import java.net.URL;
import net.deterlab.isi.XTrustProvider;

class Terminate extends FeddCommand {
    /**
     * Dummy program to test an AXIS fedd implementation generated from the
     * WSDL and run by axis.
     * It just calls terminate with a dummy id as a local name (which can be
     * supplied on the command line and reprints the localname that the server
     * replies with.  A client certificate muct exist in the local keystore
     * file with the given password. 
     */
    public static void main(String args[]) throws 
	    javax.xml.rpc.ServiceException, java.net.MalformedURLException,
	    java.rmi.RemoteException {
	
	/* 
	 * Boilerplate web services access stuff.
	 */
	FeddPortType port = getPort("https://users.isi.deterlab.net:23235");
	setUpSecurity();

	/*
	 * The various parts of the Terminate message and response
	 */

	TerminateRequestType req = new TerminateRequestType(
		new IDType(null, null, null, args[0], null), 
		false);
	TerminateResponseType resp = null;


	try {
	    /* Build the message and make the call */
	    resp = port.terminate(req);
	}
	catch (FaultType f) {
	    System.err.println("Error in Terminate: " + f);
	    System.exit(20);
	}
	System.out.println("Terminate success: " + 
		resp.getExperiment().getLocalname());
    }
}
